#
# spec file for package yast2-agent-any (Version 2.4.21)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-any
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Summary:      YaST2-SCR: AnyAgent component
Version:      2.4.21
Release:      21
Source0:      yast2-agent-any-2.4.21.tar.bz2

%description
This package contains the AnyAgent component of the YaST2-SCR system.
The AnyAgent allows for transparent access to line-oriented config
files in the system. This packages is only needed by developers.

SuSE series: yast

%package devel
Version:      2.4.21
Release:      21
Summary:      YaST2-SCR: AnyAgent (Only for developers)
Group:        Development/Libraries
Provides:	y2a_any
Obsoletes:	y2a_any

%description devel
This package contains the AnyAgent component of the YaST2-SCR system.
The AnyAgent allows for transparent access to line-oriented config
files in the system. This packages is only needed by developers.

SuSE series: yast

%prep
%setup -n yast2-agent-any-2.4.21

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%ifarch s390x
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -fsigned-char"
%else
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
make check

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_anyagent.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_anyagent.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_anyagent.so
/usr/lib/YaST2/plugin/libpy2ag_anyagent.la
%dir /usr/share/doc/packages/yast2-agent-any
/usr/share/doc/packages/yast2-agent-any/*

%changelog -n yast2-agent-any
* Tue Sep 18 2001 - kkaempf@suse.de
- drop /bin/cat call, scr is properly chrooted now (#10818).
* Tue Sep 11 2001 - kkaempf@suse.de
- added "Chandev" to etc_installinf.scr.
* Tue Sep 04 2001 - kkaempf@suse.de
- dont fail on empty files (#10161).
* Fri Aug 31 2001 - kkaempf@suse.de
- recognize SMB mount options in install.inf
* Thu Aug 30 2001 - kkaempf@suse.de
- use YCPError() to report errors.
* Wed Aug 29 2001 - arvin@suse.de
- removed obsolete targetroot functions
* Tue Aug 28 2001 - kkaempf@suse.de
- recognize "Reboot:" in /etc/install.inf
* Wed Aug 22 2001 - kkaempf@suse.de
- restart scan if Choice() match fails.
* Wed Aug 22 2001 - kukuk@suse.de
- Remove ldap.conf and nsswitch.conf, implemented now with
  rc.config agent.
* Sun Aug 19 2001 - kukuk@suse.de
- Add etc_ldap_conf.scr and etc_nsswitch_conf.scr
* Thu Aug 16 2001 - kkaempf@suse.de
- cast size_type to long to make gcc happy.
* Mon Aug 13 2001 - mvidner@suse.cz
- Moved specialized agents to yast2-config-nis-server. (2.4.12)
* Fri Aug 10 2001 - kkaempf@suse.de
- add localdescr_info.scr and localetc_install_inf.scr
* Fri Aug 10 2001 - kkaempf@suse.de
- add localproc_cpuinfo to read /proc/cpuinfo in WFM context.
* Thu Aug 09 2001 - kkaempf@suse.de
- add localproc_modules to read /proc/modules in WFM context.
* Thu Aug 09 2001 - arvin@suse.de
- fixed call of readconf
* Wed Aug 08 2001 - kkaempf@suse.de
- honor Y2_TARGET_ROOT for File() (but not for Run())
* Tue Aug 07 2001 - kkaempf@suse.de
- drop all accesses to /mnt (yast_systeminf.scr, yast_installinf.scr,
  mnt_etc_fstab.scr)
* Thu Jul 26 2001 - kkaempf@suse.de
- recognize X11 keywords in /etc/install.inf
* Wed Jul 25 2001 - kkaempf@suse.de
- add *.in to EXTRA_DIST in testsuite
* Fri Jul 06 2001 - sh@suse.de
- New agent: run_get_suseconfig_modules
* Mon Jul 02 2001 - kkaempf@suse.de
- ppc_fix: more than 9 pdisk partitions
- pdisk partition labels are enclosed in ' (#6317)
* Fri Jun 29 2001 - arvin@suse.de
- reanimate testsuite
* Sat Jun 23 2001 - arvin@suse.de
- fix to compile with gcc 3.0
* Fri Jun 22 2001 - kkaempf@suse.de
- fix for new autoconf/automake
- version 2.4.0
* Thu May 10 2001 - jbuch@suse.de
- don't using "" in anyagent like 2001/05/02
* Thu May 10 2001 - schwab@suse.de
- Remove unneeded configure check for X.
* Mon May 07 2001 - msvec@suse.cz
- fixed chap|pap-secrets parsing
- version 2.3.10
* Fri May 04 2001 - msvec@suse.cz
- fix locales for the run command
- version 2.3.9
* Thu May 03 2001 - jbuch@suse.de
- using "" like suggested in bug 7373
* Thu Apr 26 2001 - jbuch@suse.de
- add etc_gshadow
* Tue Apr 24 2001 - kkaempf@suse.de
- "Framebuffer:" in /etc/install.inf is a Hexval
* Mon Apr 23 2001 - jbuch@suse.de
- add etc_shells agent
* Wed Apr 18 2001 - kkaempf@suse.de
- fix parsing of /etc/install.inf, Framebuffer: is a number
* Thu Apr 05 2001 - pblahos@suse.cz
- proc_parport_devices works for 2.4 kernels too.
- add script for reading and writing /etc/usbmgr/preload.conf
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install lib in base package, only plugin needed
* Fri Mar 23 2001 - arvin@suse.de
- move documentation to packages/yast2-agent-any
* Mon Mar 05 2001 - kkaempf@suse.de
- rename y2a_any -> yast2-agent-any
* Sat Jan 27 2001 - arvin@suse.de
- package split y2a_any / y2a_any-devel
* Tue Jan 16 2001 - dan@suse.cz
- description for '/etc/route.conf' file
* Wed Jan 10 2001 - smid@suse.cz
- config file ippp_options.scr changed
* Tue Dec 19 2000 - kkaempf@suse.de
- run parted in script (non-interactive) mode
* Mon Dec 18 2000 - kkaempf@suse.de
- use /sbin/get_kernel_version to determine version of kernel image
* Mon Dec 11 2000 - kkaempf@suse.de
- new agent to read kernel version from /boot/vmlinuz.version.h
* Fri Dec 08 2000 - arvin@suse.de
- fix double quoted symbol
* Thu Dec 07 2000 - kkaempf@suse.de
- read soundcards from /proc
* Wed Nov 29 2000 - kkaempf@suse.de
- recognize all descr/info keywords
* Tue Nov 28 2000 - arvin@suse.de
- modify wvdial.scr to handle multiply files
* Mon Nov 27 2000 - kkaempf@suse.de
- recognize autoinstall extensions in config files (descr/info)
* Sat Nov 25 2000 - kkaempf@suse.de
- extend Choice() with Match()
  fix return value of Sequence()
* Wed Nov 15 2000 - kkaempf@suse.de
- separate library and plugin component
* Fri Nov 10 2000 - kkaempf@suse.de
- fix .scr syntax error
* Fri Nov 10 2000 - kkaempf@suse.de
- recognize "Console:" in install.inf
* Thu Nov 09 2000 - kkaempf@suse.de
- provide static only
* Thu Oct 26 2000 - kkaempf@suse.de
- add agents for parted
* Thu Oct 26 2000 - kkaempf@suse.de
- new anyagent for suse/setup/descr/info
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Thu Sep 28 2000 - kkaempf@suse.de
- initial from y2scr 2.1.1
